package org.nl.system.service.redis;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/**
 * @Author: lyd
 * @Description: Redis监控的服务
 * @Date: 2022-08-04
 */
public interface RedisService {
    /**
     * 获取redis的信息
     * @return
     */
    JSONObject getRedisMonitorInfo();

    /**
     * 获得 Redis Key 模板列表
     * @return
     */
    JSONObject getKeyDefineList();

    /**
     * 获取所有的键值信息
     * @return
     */
    JSONArray getKeyValueList();

    /**
     * 删除redis缓存数据
     * @param ids
     */
    void deleteByKey(String[] ids);
}
